This models the room key sharing algorithm as a decision tree and provides
tooling to render it as a PDF or PNG.

# Usage

    make  # Render the decision tree both as a PDF and PNG

    make pdf  # Renders the decision tree as a PDF
    make png  # Renders the decision tree as a PNG

    make clean  # Remove rendered artifacts
